Subject: Re: Finding Out My Own IP-Address
From: [email-masked] ($Bill Luebkert)

11 May 1998 21:47:37 -0700
Message-ID: <[email-masked]>
References: <Pine.SUN.3.91.980511085238.22871C-100000@terra>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Ron G. Minnich wrote:
> 
> On Wed, 6 May 1998, $Bill Luebkert wrote:
> > > When I dial in to my provider via NT-RAS, I'm assigned a dynamic IP address -
> > > which is what I'm trying to find out.
> > $name = (gethostbyname ("localhost"))[0];
> > $addr = (gethostbyname ($name))[4];
> OK, I believe this works. But why doesn't
> gethostname
> followed by a gethostbyname? no gethostname entry?

Well, first I am also in the Perl mailing list and didn't realize 
that the question was a GNU question and the same question appears 
a lot on the Perl list so I answered it in Perl.  Perl doesn't 
have gethostname function.

> 
> Also why the [4]?

gethostbyname returns several vrbls and I wanted the 
fourth one (which is the IP address).  Since using it in a scalar 
context returns the fourth one anyway; you may leave it off.

You can do this in C with the method mentioned by someone earlier:

gethostbyname
socket 
bind
connect to a well-known port (I tried 80 - my web server - and it worked)
getsockname

-- 
  ,-/-  __      _  _         $Bill Luebkert
 (_/   /  )    // //       DBE Collectibles
  / ) /--<  o // //      http://www.wgn.net/~dbe/
-/-' /___/_<_</_</_    Mailto:[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".